<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="elementary_functions"
	ProjectGUID="{5B110267-7C18-437C-B87D-DBA2B50729E9}"
	RootNamespace="elementary_functions"
	TargetFrameworkVersion="0"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/arch:IA32"
				Optimization="0"
				AdditionalIncludeDirectories=".;../../includes;../../../output_stream/includes;../../../core/includes;../../../../libs/MALLOC/includes;../../../../libs/intl;../../../localization/includes;../../../api_scilab/includes"
				PreprocessorDefinitions="_LIB;_DEBUG;_CRT_SECURE_NO_DEPRECATE"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=""
				AssemblerListingLocation="$(ConfigurationName)/"
				ObjectFile="$(ConfigurationName)/"
				ProgramDataBaseFileName="$(ConfigurationName)/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1036"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/elementary_functions.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="cd &quot;$(IntDir)&quot; &gt;nul&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n libscilab.dll %%f &gt;nul&#x0D;&#x0A;copy *.def elementary_functions.def &gt;nul&#x0D;&#x0A;copy elementary_functions.def ..\..\..\..\..\libs\elementary_functions.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd .. &gt;nul&#x0D;&#x0A;"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories=".;../../includes;../../../output_stream/includes;../../../core/includes;../../../../libs/MALLOC/includes;../../../../libs/intl;../../../localization/includes;../../../api_scilab/includes"
				PreprocessorDefinitions="_LIB;_DEBUG;_CRT_SECURE_NO_DEPRECATE"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=""
				AssemblerListingLocation="$(ConfigurationName)/"
				ObjectFile="$(ConfigurationName)/"
				ProgramDataBaseFileName="$(ConfigurationName)/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1036"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/elementary_functions.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="cd &quot;$(IntDir)&quot; &gt;nul&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n libscilab.dll %%f &gt;nul&#x0D;&#x0A;copy *.def elementary_functions.def &gt;nul&#x0D;&#x0A;copy elementary_functions.def ..\..\..\..\..\libs\elementary_functions.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd .. &gt;nul&#x0D;&#x0A;"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/arch:IA32"
				Optimization="2"
				InlineFunctionExpansion="1"
				FavorSizeOrSpeed="1"
				AdditionalIncludeDirectories=".;../../includes;../../../output_stream/includes;../../../core/includes;../../../../libs/MALLOC/includes;../../../../libs/intl;../../../localization/includes;../../../api_scilab/includes"
				PreprocessorDefinitions="NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
				StringPooling="true"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				EnableEnhancedInstructionSet="0"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=""
				AssemblerListingLocation="$(ConfigurationName)/"
				ObjectFile="$(ConfigurationName)/"
				ProgramDataBaseFileName="$(ConfigurationName)/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				Detect64BitPortabilityProblems="false"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1036"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/elementary_functions.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="cd &quot;$(IntDir)&quot; &gt;nul&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n libscilab.dll %%f &gt;nul&#x0D;&#x0A;copy *.def elementary_functions.def &gt;nul&#x0D;&#x0A;copy elementary_functions.def ..\..\..\..\..\libs\elementary_functions.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd .. &gt;nul&#x0D;&#x0A;"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				FavorSizeOrSpeed="1"
				AdditionalIncludeDirectories=".;../../includes;../../../output_stream/includes;../../../core/includes;../../../../libs/MALLOC/includes;../../../../libs/intl;../../../localization/includes;../../../api_scilab/includes"
				PreprocessorDefinitions="NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
				StringPooling="true"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				EnableEnhancedInstructionSet="0"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=""
				AssemblerListingLocation="$(ConfigurationName)/"
				ObjectFile="$(ConfigurationName)/"
				ProgramDataBaseFileName="$(ConfigurationName)/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				Detect64BitPortabilityProblems="false"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1036"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="../../../../libs/elementary_functions.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="cd &quot;$(IntDir)&quot; &gt;nul&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n libscilab.dll %%f &gt;nul&#x0D;&#x0A;copy *.def elementary_functions.def &gt;nul&#x0D;&#x0A;copy elementary_functions.def ..\..\..\..\..\libs\elementary_functions.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd .. &gt;nul&#x0D;&#x0A;"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
			>
			<File
				RelativePath=".\cmp.c"
				>
			</File>
			<File
				RelativePath=".\finite.c"
				>
			</File>
			<File
				RelativePath=".\gsort.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\gw_elementary_functions.c"
				>
			</File>
			<File
				RelativePath=".\idmax.c"
				>
			</File>
			<File
				RelativePath=".\idmin.c"
				>
			</File>
			<File
				RelativePath=".\int2db.c"
				>
			</File>
			<File
				RelativePath=".\IsEqualVar.c"
				>
			</File>
			<File
				RelativePath=".\qsort-char.c"
				>
			</File>
			<File
				RelativePath=".\qsort-double.c"
				>
			</File>
			<File
				RelativePath=".\qsort-int.c"
				>
			</File>
			<File
				RelativePath=".\qsort-short.c"
				>
			</File>
			<File
				RelativePath=".\qsort-string.c"
				>
			</File>
			<File
				RelativePath=".\qsort.c"
				>
			</File>
			<File
				RelativePath=".\rea2db.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_abs.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_acos.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_asin.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_atan.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_ceil.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_chinesehat.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_clean.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_conj.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_cos.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_cumprod.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_cumsum.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_diag.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_dsearch.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_exp.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_expm.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_eye.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_floor.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_frexp.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_gsort.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_imag.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_imult.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_int.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_isequal.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_isequalbitwise.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_isreal.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_kron.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_log.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_log1p.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_matrix.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_maxi.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_nearfloat.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_number_properties.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_ones.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_prod.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_rand.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_real.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_round.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_sign.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_sin.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_size.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_sort.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_spones.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_sqrt.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_sum.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_tan.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_testmatrix.c"
				>
			</File>
			<File
				RelativePath=".\sci_tools.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_tril.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_triu.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_zeros.c"
				>
			</File>
			<File
				RelativePath=".\scidcopy.c"
				>
			</File>
			<File
				RelativePath=".\unsfdcopy.c"
				>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						Optimization="0"
						FavorSizeOrSpeed="2"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|x64"
					>
					<Tool
						Name="VCCLCompilerTool"
						Optimization="0"
						FavorSizeOrSpeed="2"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\vceil.c"
				>
			</File>
			<File
				RelativePath=".\vfinite.c"
				>
			</File>
			<File
				RelativePath=".\vfloor.c"
				>
			</File>
			<File
				RelativePath=".\vfrexp.c"
				>
			</File>
			<File
				RelativePath=".\xerhlt.c"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl"
			>
			<File
				RelativePath="..\..\includes\elementary_functions.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\finite.h"
				>
			</File>
			<File
				RelativePath=".\gsort.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\gw_elementary_functions.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\idmax.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\idmin.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\int2db.h"
				>
			</File>
			<File
				RelativePath=".\IsEqualVar.h"
				>
			</File>
			<File
				RelativePath=".\qsort-char.h"
				>
			</File>
			<File
				RelativePath=".\qsort-double.h"
				>
			</File>
			<File
				RelativePath=".\qsort-int.h"
				>
			</File>
			<File
				RelativePath=".\qsort-short.h"
				>
			</File>
			<File
				RelativePath=".\qsort-string.h"
				>
			</File>
			<File
				RelativePath=".\qsort.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\rea2b.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\sci_tools.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\vfinite.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\xerhlt.h"
				>
			</File>
		</Filter>
		<Filter
			Name="localization"
			>
			<File
				RelativePath="..\..\locales\en_US\messages.pot"
				>
			</File>
		</Filter>
		<Filter
			Name="Libraries Dependencies"
			>
		</Filter>
		<File
			RelativePath="..\..\elementary_functions.iss"
			>
		</File>
		<File
			RelativePath="..\..\sci_gateway\elementary_functions_gateway.xml"
			>
		</File>
		<File
			RelativePath="..\..\Makefile.am"
			>
		</File>
		<File
			RelativePath="..\..\version.xml"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
